### 5.1.19 delete

`Syntax:`
  `delete (` list_expression`,` int_expression `)`
`Type:`
  list
`Purpose:`
  deletes the element with the given index from a list (the input is not changed).
`Example:`

        list l="a","b","c";
        list l1=delete(l,2);l1;
      ==> [1]:
      ==>    a
      ==> [2]:
      ==>    c
        l;
      ==> [1]:
      ==>    a
      ==> [2]:
      ==>    b
      ==> [3]:
      ==>    c

See insert; list.

User manual for Singular version 4-0-3, 2016, generated by texi2html.